curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"componentResource": {
"sourcedId": "<string>",
"status": "active",
"courseComponent": {
"sourcedId": "<string>"
},
"resource": {
"sourcedId": "<string>"
},
"title": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"sortOrder": 0,
"lessonType": "powerpath-100"
}
}
'{}To update an existing Component Resource. The sourcedId for the record to be updated is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"componentResource": {
"sourcedId": "<string>",
"status": "active",
"courseComponent": {
"sourcedId": "<string>"
},
"resource": {
"sourcedId": "<string>"
},
"title": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"sortOrder": 0,
"lessonType": "powerpath-100"
}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the component resource to update
Represents a resource associated with a course component.
Show child attributes
Component Resource Updated Successfully
The response is of type object.